org.eclipse.viatra.transformation.debug.communication

## Interface DebuggerTargetEndpointMBean

- All Known Implementing Classes:
    DebuggerTargetEndpoint

      public interface DebuggerTargetEndpointMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `void` | `continueExecution()`
    `void` | `disableBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `void` | `disconnect()`
    `void` | `enableBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getChildren(TransformationModelElement parent)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getCrossReferences(TransformationModelElement parent)`
    `java.lang.String` | `getID()`
    `java.util.List<TransformationModelElement>` | `getRootElements()`
    `void` | `removeBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `void` | `setNextActivation(ActivationTrace activation)`
    `void` | `stepForward()`

- - ### Method Detail

    - #### stepForward

          void stepForward()
                    throws javax.management.InstanceNotFoundException,
                           java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### continueExecution

          void continueExecution()
                          throws javax.management.InstanceNotFoundException,
                                 java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### setNextActivation

          void setNextActivation(ActivationTrace activation)
                          throws javax.management.InstanceNotFoundException,
                                 java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### addBreakpoint

          void addBreakpoint(ITransformationBreakpointHandler breakpoint)
                      throws javax.management.InstanceNotFoundException,
                             java.io.IOException,
                             ViatraDebuggerException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`
        `ViatraDebuggerException`

    - #### removeBreakpoint

          void removeBreakpoint(ITransformationBreakpointHandler breakpoint)
                         throws javax.management.InstanceNotFoundException,
                                java.io.IOException,
                                ViatraDebuggerException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`
        `ViatraDebuggerException`

    - #### disableBreakpoint

          void disableBreakpoint(ITransformationBreakpointHandler breakpoint)
                          throws javax.management.InstanceNotFoundException,
                                 java.io.IOException,
                                 ViatraDebuggerException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`
        `ViatraDebuggerException`

    - #### enableBreakpoint

          void enableBreakpoint(ITransformationBreakpointHandler breakpoint)
                         throws javax.management.InstanceNotFoundException,
                                java.io.IOException,
                                ViatraDebuggerException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`
        `ViatraDebuggerException`

    - #### disconnect

          void disconnect()
                   throws javax.management.InstanceNotFoundException,
                          java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### getID

          java.lang.String getID()
                          throws javax.management.InstanceNotFoundException,
                                 java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### getRootElements

          java.util.List<TransformationModelElement> getRootElements()
                                                              throws javax.management.InstanceNotFoundException,
                                                                     java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### getChildren

          java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getChildren(TransformationModelElement parent)
                                                                                          throws javax.management.InstanceNotFoundException,
                                                                                                 java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`

    - #### getCrossReferences

          java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getCrossReferences(TransformationModelElement parent)
                                                                                                 throws javax.management.InstanceNotFoundException,
                                                                                                        java.io.IOException

      Throws:
        `javax.management.InstanceNotFoundException`
        `java.io.IOException`